com.microfocus.awm.meta.modelextension

## Class ComplexAttributeExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ComplexAttributeExtension

- All Implemented Interfaces:
    IModelExtensionWithAttributes
  Direct Known Subclasses:
    ToolTypeComplexAttribute

      public class ComplexAttributeExtension
      extends ModelExtensionWithAttributes

  Complex attribute for a model part.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexAttributeExtension(java.lang.String pID, java.lang.String pLabel, EModelExtensionCardinality pCardinality, boolean pShowSequenceNumbers, FunctionPackageExtension pFunctionPackage, java.net.URL pIcon)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EModelExtensionCardinality` | `getCardinality()` Gets the cardinality.
    `java.net.URL` | `getIcon()` Gets the custom icon URL or `null` if none was defined.
    `boolean` | `isShowSequenceNumbers()` Gets whether sequence numbers should be shown in the model editor for complex attributes of this extension.
    `void` | `setCardinality(EModelExtensionCardinality pCardinality)` Sets the cardinality.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexAttributeExtension

          public ComplexAttributeExtension(java.lang.String pID,
                                           java.lang.String pLabel,
                                           EModelExtensionCardinality pCardinality,
                                           boolean pShowSequenceNumbers,
                                           FunctionPackageExtension pFunctionPackage,
                                           java.net.URL pIcon)

      Basic constructor.
      Parameters:
        `pID` - the ID of the element
        `pLabel` - the label of the element
        `pCardinality` - cardinality constant
        `pShowSequenceNumbers` - whether to show sequence numbers for complex attributes of this extension in the model editor
        `pFunctionPackage` - the function package
        `pIcon` - URL to a custom icon. Can be `null`

  - ### Method Detail

    - #### getCardinality

          public EModelExtensionCardinality getCardinality()

      Gets the cardinality.
      Returns:
        the cardinality

    - #### setCardinality

          public void setCardinality(EModelExtensionCardinality pCardinality)

      Sets the cardinality.
      Parameters:
        `pCardinality` - the cardinality

    - #### isShowSequenceNumbers

          public boolean isShowSequenceNumbers()

      Gets whether sequence numbers should be shown in the model editor for complex attributes of this extension.

      Sequence numbers are never shown, if the cardinality of this complex attribute extension is bounded.

      Returns:
        `true` if sequence numbers should be shown, otherwise `false`

    - #### getIcon

          public java.net.URL getIcon()

      Gets the custom icon URL or `null` if none was defined.
      Returns:
        a custom icon URL or `null`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

Copyright © 2015 Micro Focus GmbH. All rights reserved.